For the complete documentation index, see llms.txt. This page is also available as Markdown.

Start Art Provision report

The Art Provision report gives overview over each artist's sales and stock for the requested time period. Optionally filter on artist.

Artists with no sales and no stock are included.

sendEmailToSupplier = true will send email to each artist.

Required permissions: REPORTING

post
/tenants/{tenantUid}/stores/{storeUid}/reports/art-supplier
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
fromDatestring · dateRequired
toDatestring · dateRequired
supplierUidsstring[]Required
sendEmailToSupplierbooleanRequired
productGroupUidsstring[]Required
showDiffbooleanOptional
Responses
200

ZipFileResponse

application/zip
string · binaryOptional
post/tenants/{tenantUid}/stores/{storeUid}/reports/art-supplier
POST /v2/tenants/{tenantUid}/stores/{storeUid}/reports/art-supplier HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "fromDate": "2026-01-01",
  "toDate": "2026-01-01",
  "supplierUids": [
    "text"
  ],
  "sendEmailToSupplier": true,
  "productGroupUids": [
    "text"
  ],
  "showDiff": true
}
binary

Last updated

Was this helpful?